#ifndef _FLASH_H_
#define	_FLASH_H_

#define	FWORD					unsigned long
#define	FWORDSIZE				(sizeof(FWORD))

#define	SECTOR_SIZE				(0x80)

#define	CODE_FLASH_BASE			0x00000000
#define	CODE_FLASH_SIZE			0x00020000


int		flash_init(void);
int		flash_erase_macro(int dsel);
int		flash_erase_sector(int dsel, unsigned long addr);
int		flash_write_sector(int dsel, unsigned long addr,FWORD *pdata);

#endif
